Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Interface Extensible

All Known Implementing Classes:
  AbstractDescriptionElement, AbstractMessageContainer, AbstractPropertiesHolder, BindingFaultInfo, BindingInfo, BindingMessageInfo, BindingOperationInfo, DescriptionInfo, EndpointInfo, FaultInfo, InterfaceInfo, MessageInfo, MessagePartInfo, OperationInfo, SchemaInfo, ServiceInfo, UnwrappedOperationInfo

    public interface Extensible

Method Summary
`void` | `addExtensionAttribute(javax.xml.namespace.QName name, java.lang.Object attr)`
`void` | `addExtensor(java.lang.Object el)`
`java.lang.Object` | `getExtensionAttribute(javax.xml.namespace.QName name)`
`java.util.Map<javax.xml.namespace.QName,java.lang.Object>` | `getExtensionAttributes()`
`
`<T> T`
` | `getExtensor(java.lang.Class<T> cls)`
`
`<T> java.util.List<T>`
` | `getExtensors(java.lang.Class<T> cls)`
`void` | `setExtensionAttributes(java.util.Map<javax.xml.namespace.QName,java.lang.Object> attrs)`

Method Detail

### getExtensor

    <T> T getExtensor(java.lang.Class<T> cls)

### getExtensors

    <T> java.util.List<T> getExtensors(java.lang.Class<T> cls)

### addExtensor

    void addExtensor(java.lang.Object el)

### getExtensionAttribute

    java.lang.Object getExtensionAttribute(javax.xml.namespace.QName name)

### getExtensionAttributes

    java.util.Map<javax.xml.namespace.QName,java.lang.Object> getExtensionAttributes()

### addExtensionAttribute

    void addExtensionAttribute(javax.xml.namespace.QName name,
                               java.lang.Object attr)

### setExtensionAttributes

    void setExtensionAttributes(java.util.Map<javax.xml.namespace.QName,java.lang.Object> attrs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.